using System;

class aaaaaa
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int l = int.Parse(s[1]);
        
        string[] s2 = Console.ReadLine().Split();
        int ind = -1;

        for(int i=1; i<=n; i++)
        {
            int s = int.Parse(s[i]);
            if (s<=j) ind = i;
        }
       
        Console.WriteLine(ind);
    }
}